Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226213 - Merge Review: openjade
Summary: Merge Review: openjade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 203635
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:18 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-10 15:23 UTC (History)
5 users (show)

Fixed In Version: openjade-1.3.2-36.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 15:23:25 UTC
kklic: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:18:35 UTC
Fedora Merge Review: openjade

http://cvs.fedora.redhat.com/viewcvs/devel/openjade/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:22:30 UTC
Package Change Request
======================
Package Name: openjade
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Parag AN(पराग) 2007-07-27 08:43:29 UTC
Can it be possible to ask "fedora-cvs?" without formal review?

Comment 3 Karel Klíč 2009-12-10 11:21:15 UTC
[YES] source files match upstream: 7df692e3186109cc00db6825b777201e  openjade-1.3.2.tar.gz
[YES] package meets naming and versioning guidelines
[YES] specfile is properly named, is cleanly written and uses macros consistently
[YES] dist tag is present
[YES] build root is correct
[YES] license field matches the actual license
[YES] license is open source-compatible
[YES] license text included in package
[YES] latest version is being packaged
[YES] BuildRequires are proper
[YES] compiler flags are appropriate
[YES] %clean is present
[YES] package builds in mock
[YES] debuginfo package looks complete
[NO] rpmlint is silent

$rpmlint ./openjade-1.3.2-35.fc13.src.rpm 
openjade.src: W: no-url-tag
openjade.src:5: E: prereq-use sgml-common >= 0.5
openjade.src:15: W: unversioned-explicit-obsoletes jade
openjade.src:16: W: unversioned-explicit-provides jade
openjade.src:217: W: macro-in-%changelog %doc
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$rpmlint ./openjade-1.3.2-35.fc13.i686.rpm 
openjade.i686: W: no-url-tag
openjade.i686: W: obsolete-not-provided openjade-devel
openjade.i686: W: self-obsoletion jade obsoletes jade
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Prereq is used, but Requires (or BuildRequires?) should be used
"URL: http://openjade.sourceforge.net/" should be added to the SPEC file.

[NO] final provides and requires look sane
     It should probably not contain both "Provides:jade" and "Obsoletes:jade"
[OK] no %check is present
[OK] no shared libraries are added to the regular linker search paths in app package
     It includes .so.0, but not .so in the app package.
[YES] owns the directories it creates
[YES] doesn't own any directories it shouldn't
[YES] no duplicates in %files
[YES] file permissions are appropriate
[YES] scriptlets ok
[YES] code, not content
[YES] documentation is small, so no -docs subpackage is necessary
[YES] %docs are not necessary for the proper functioning of the package
[YES] no headers
[YES] no pkgconfig files
[YES] no libtool .la droppings
[YES] not a GUI app

The following code is no longer necessary, because .la files are not packaged:
# Fix up libtool libraries
find $RPM_BUILD_ROOT -name '*.la' | \
  xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"

Comment 4 Ondrej Vasik 2009-12-10 12:50:08 UTC
Thanks for review...

(In reply to comment #3)
> [NO] rpmlint is silent
> 
> $rpmlint ./openjade-1.3.2-35.fc13.src.rpm 
> openjade.src: W: no-url-tag
> openjade.src:5: E: prereq-use sgml-common >= 0.5
> openjade.src:15: W: unversioned-explicit-obsoletes jade
> openjade.src:16: W: unversioned-explicit-provides jade
> openjade.src:217: W: macro-in-%changelog %doc
> 1 packages and 0 specfiles checked; 1 errors, 4 warnings.
> 
> $rpmlint ./openjade-1.3.2-35.fc13.i686.rpm 
> openjade.i686: W: no-url-tag
> openjade.i686: W: obsolete-not-provided openjade-devel
> openjade.i686: W: self-obsoletion jade obsoletes jade
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> Prereq is used, but Requires (or BuildRequires?) should be used
> "URL: http://openjade.sourceforge.net/" should be added to the SPEC file.

Rpmlint warnings fixed

> 
> [NO] final provides and requires look sane
>      It should probably not contain both "Provides:jade" and "Obsoletes:jade"

Probably could be kept - versioned ... last version is
ftp://ftp.pbone.net/mirror/archive.download.redhat.com/pub/redhat/linux/6.2/en/os/i386/SRPMS/jade-1.2.1-9.src.rpm
from Red Hat 6.2 . I see this harmless, I'll comment this and keep it 

> 
> The following code is no longer necessary, because .la files are not packaged:
> # Fix up libtool libraries
> find $RPM_BUILD_ROOT -name '*.la' | \
>   xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"  

Dropped...

Fixed and built as openjade-1.3.2-36.fc13

Comment 5 Ondrej Vasik 2009-12-10 15:23:25 UTC
Thanks for review, closing.


Note You need to log in before you can comment on or make changes to this bug.